Browse code

pkg/kamailio: Initial Travis CI configuration

Victor Seva authored on 18/12/2014 20:41:46
Showing 3 changed files
1 1
new file mode 100644
... ...
@@ -0,0 +1,17 @@
0
+language: c
1
+compiler:
2
+  - gcc
3
+  - clang
4
+before_install:
5
+  - sudo apt-get update -qq
6
+  - sudo apt-get install -y gdebi-core
7
+  - sudo pkg/kamailio/deb/build_deps.sh precise $TRAVIS_BUILD_DIR
8
+script: ./pkg/kamailio/deb/build_travis.sh
9
+notifications:
10
+  irc:
11
+    channels:
12
+      - "chat.freenode.net#Kamailio"
13
+    on_success: change
14
+    on_failure: always
15
+  email:
16
+    - sr-dev@lists.sip-router.org
0 17
new file mode 100755
... ...
@@ -0,0 +1,23 @@
0
+#!/bin/bash
1
+#
2
+# build_deps script for travis CI
3
+# installs the build_deps packages needed to build Kamailio
4
+# environment based on Ubuntu 12.04 LTS (precise)
5
+#
6
+DIST=${1:-precise}
7
+BASE_DIR=${2:-$(pwd)}
8
+CONTROL_FILE="${BASE_DIR}/pkg/kamailio/deb/${DIST}/control"
9
+if ! [ -f "${CONTROL_FILE}" ]; then
10
+	echo "Error: No ${CONTROL_FILE} found"
11
+	exit 1
12
+fi
13
+
14
+BUILD_DEPS=$(/usr/bin/gdebi --quiet --non-interactive \
15
+	--option=APT::Install-Recommends=false \
16
+	--apt-line ${CONTROL_FILE})
17
+if [ -z "${BUILD_DEPS}" ]; then
18
+	echo "Error: no build deps packages resolved"
19
+	exit 2
20
+fi
21
+
22
+apt-get install -y $BUILD_DEPS
0 23
new file mode 100755
... ...
@@ -0,0 +1,22 @@
0
+#!/bin/bash
1
+#
2
+# build script for travis CI
3
+# environment based on Ubuntu 12.04 LTS (precise)
4
+#
5
+export JAVA_HOME="/usr/lib/jvm/java-gcj"
6
+EXCLUDED_MODULES=""
7
+EXTRA_EXCLUDED_MODULES="bdb dbtext oracle pa iptrtpproxy mi_xmlrpc dnssec kazoo cnxcc"
8
+PACKAGE_GROUPS="mysql postgres berkeley unixodbc radius presence ldap xml perl utils lua memcached \
9
+	snmpstats carrierroute xmpp cpl redis python geoip\
10
+	sqlite json mono ims sctp java \
11
+	purple tls outbound websocket autheph"
12
+echo "make cfg"
13
+make FLAVOUR=kamailio cfg \
14
+	skip_modules="${EXCLUDED_MODULES} ${EXTRA_EXCLUDED_MODULES}" \
15
+	group_include="kstandard"
16
+echo "make all"
17
+make all
18
+echo "make groups"
19
+for grp in ${PACKAGE_GROUPS}; do
20
+	make every-module group_include="k${grp}"
21
+done